Patch Payment Method

patchhttps://app.mk.io/api/v1/organization/paymentMethods/:paymentmethod_id

Partially update a payment method using JSON Patch (RFC 6902). Requires Content-Type: application/json-patch+json.

The following field can be updated via replace operations:

  • /metadata/displayName — a human-friendly display name (max 256 characters, or "" to clear).

RBAC Capability Required: core.subscription.update

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

paymentmethod_idstringRequiredformat: uuid

Request

This endpoint expects a list of objects.

Loading schema details…

Response

200The updated payment method.

Loading schema details…

Errors

400Bad Request

Loading schema details…

401Unauthorized

Loading schema details…

403Forbidden

Loading schema details…

404Not Found

Loading schema details…

429Too Many Requests

Loading schema details…

500Internal Server Error

Loading schema details…